Difference between revisions of "Getting Started/Build/Distributions/Ark Linux"

Jump to: navigation, search
m (Text replace - "<code bash>" to "<syntaxhighlight lang="bash">")
m (Text replace - "</code>" to "</syntaxhighlight>")
Line 24: Line 24:
 
subversion boost-devel doxygen giflib-devel dbus-devel openssl-devel \
 
subversion boost-devel doxygen giflib-devel dbus-devel openssl-devel \
 
alsa-lib-devel kdesdk-scripts qt-devel
 
alsa-lib-devel kdesdk-scripts qt-devel
</code>
+
</syntaxhighlight>
  
 
If you prefer a graphical interface, select the packages listed above in the "Install Software" tool in Mission Control.
 
If you prefer a graphical interface, select the packages listed above in the "Install Software" tool in Mission Control.

Revision as of 21:56, 29 June 2011


Getting_Started/Build/Distributions/Ark Linux


Building KDE4 From Source (Ark Linux requirements)


Software Requirements

In Ark Linux, the build dependencies you need are installed with:

apt-get install devel-core libxml-devel libxslt-devel bzip2-devel \
clucene-core-devel librdf-devel shared-mime-info xorg-Mesa-libGL-devel \
subversion boost-devel doxygen giflib-devel dbus-devel openssl-devel \
alsa-lib-devel kdesdk-scripts qt-devel

If you prefer a graphical interface, select the packages listed above in the "Install Software" tool in Mission Control.

This includes installation of CMake, DBus and Qt - you can skip steps 5, 6 and 7.


noframe
 
TODO
Does Ark include HAL, or any of kdesupport?

KDE® and the K Desktop Environment® logo are registered trademarks of KDE e.V.Legal